> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Transparency Report

> Retrieves detailed transparency framework score for a specific project including ratings across four key categories.



## OpenAPI

````yaml /openapi.json get /v1/transparency/{id}
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/transparency/{id}:
    get:
      tags:
        - transparency
      summary: Get Token Transparency Report
      description: >-
        Retrieves detailed transparency framework score for a specific project
        including ratings across four key categories.
      operationId: TransparencyController_get_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: expand
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - asset
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: e8350371-d4a6-47b8-9e28-cea2a7a011c9
              example:
                id: 1
                asset_id: 345426
                summary: ''
                created_at: 1755624545
                updated_at: 1758051174
                project_team:
                  rating: 10
                  max: 10
                token_allocation:
                  rating: 17
                  max: 18
                market_structure:
                  rating: 7
                  max: 7
                financial_disclosure:
                  rating: 4
                  max: 5
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````